summaryrefslogtreecommitdiffstats
path: root/util/bin
diff options
context:
space:
mode:
authormakefu <github@syntax-fehler.de>2011-07-31 04:17:35 +0200
committermakefu <github@syntax-fehler.de>2011-07-31 04:17:35 +0200
commit2556c9d78ca81e5851120e8eae7fae2eb70dbbaa (patch)
tree2da48b2e1c49d1168d32238c3f44664635605f5c /util/bin
parent3fcf62b35d3a7e05d08f124c033b0aaf97ec5982 (diff)
parentd66d3a0d37ceeab54a1e6c6b20643bee724e7705 (diff)
Merge branch 'master' of github.com:krebscode/painload
Diffstat (limited to 'util/bin')
-rwxr-xr-xutil/bin/randline1
-rwxr-xr-xutil/bin/translate.google42
2 files changed, 42 insertions, 1 deletions
diff --git a/util/bin/randline b/util/bin/randline
index 051734c5..df36b344 100755
--- a/util/bin/randline
+++ b/util/bin/randline
@@ -1,3 +1,2 @@
#! /bin/sh
-
cat | shuf | head -n 1
diff --git a/util/bin/translate.google b/util/bin/translate.google
new file mode 100755
index 00000000..943675f4
--- /dev/null
+++ b/util/bin/translate.google
@@ -0,0 +1,42 @@
+#! /bin/sh
+set -euf
+
+A=Mozilla
+url=http://translate.google.com/
+
+pwd="$(dirname "$(readlink -f "$0")")"
+
+for x in \
+ "$pwd/../../submodules/github/tmpvar" \
+ "$pwd/../../submodules/github/mikeal" \
+ "$pwd/../../submodules/github/NV" \
+ "$pwd/../../submodules/github/tautologistics" \
+; do
+ export NODE_PATH="`readlink -f "$x"`${NODE_PATH+:$NODE_PATH}"
+done
+
+# ensure query is ready
+(cd "$pwd/../.." && git submodule update --init)
+
+{
+ for arg; do echo "$arg"; done | sed -rn '
+ s/^--(.*=.*)/\1/p;t
+ s/.*/text="${text+$text }&"/p;t
+ '
+ cat<<EOF
+ query() {
+ node "$(readlink -f "$pwd/../../submodules/github/visionmedia/query")" "\$@"
+ }
+ curl -sS -A "\${A-Mozilla}" \\
+ -d "js=\${js-n}" \\
+ -d "prev=\${prev-_t}" \\
+ -d "hl=\${hl-en}" \\
+ -d "layout=\${layout-2}" \\
+ -d "eotf=\${eotf-1}" \\
+ -d "sl=\${sl-auto}" \\
+ -d "tl=\${tl-en}" \\
+ -d "text=\$text" \\
+ "$url" |
+ query '#result_box' text
+EOF
+} | sh